Bug 119695 - Form Builder URL Redirect action is broken
Form Builder URL Redirect action is broken
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity high
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On: 112029
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-01 10:47 EST by Daniel Berrange
Modified: 2007-04-18 13:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:37:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-04-01 10:47:50 EST
Description of problem:
The FormBuilder URL Redirect action does not redirect to the URL you
enter. For example if you enter

  http://www.google.com/

You instead get redirected to
 
  / 

on the local server

If you enter 

  /ccm/services/

Then you instead get redirected to

  /ccm/ccm/services/

This is all a result of the fubar logic introduced to
DispatcherHelper#sendRedirect - see bug 112029

Version-Release number of selected component (if applicable):


How reproducible:
ALWAYS

Steps to Reproduce:
1. Create a URL Redirect action with http://www.google.com/ as the
destination
2. Submit the FOrm
3.
  
Actual results:
Sent to /

Expected results:
Sent  http://www.google.com/

Additional info:

This also breaks the APLAWS remote search capability, and the APLAWS
remote search spider indexer.
Comment 1 Daniel Berrange 2006-09-02 13:37:30 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.